# PSF-LoginServer - master - net.psforever.objects.serverobject.terminals.ProximityDefinition
PSF - LoginServer - master - net.psforever.objects.serverobject.terminals.ProximityDefinition
Keywords: PSF LoginServer master net.psforever.objects.serverobject.terminals.ProximityDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  package capture
  Definition Classes
    terminals
-  package implant
  Definition Classes
    terminals
- CaptureTerminals
- EquipmentTerminalDefinition
- GeneratorTerminalDefinition
- MatrixTerminalDefinition
- MedicalTerminalDefinition
- OrderTerminalDefinition
- ProximityDefinition
- ProximityTerminal
- ProximityTerminalControl
- ProximityTerminalDefinition
- ProximityUnit
- Terminal
- TerminalControl
- TerminalDefinition
- VehicleTerminalDefinition

t

net.psforever.objects.serverobject.terminals

# ProximityDefinition

###

#### trait ProximityDefinition extends AnyRef

The definition mix-in for any game object that possesses a proximity-based effect. This includes the limited proximity-based functionality of the formal medical terminals and the actual proximity-based functionality of the cavern crystals. Objects created by this definition being linked by their communication between the server and client using `ProximityTerminalUseMessage` game packets.

Self Type
  ProximityDefinition with ObjectDefinition
Source
  ProximityDefinition.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
MedicalTerminalDefinition, ProximityTerminalDefinition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ProximityDefinition
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def TargetValidation: HashMap[equipment.EffectTarget.Category.Value, (PlanetSideGameObject) => Boolean]
5.  def UseRadius: Float
6.  def UseRadius_=(radius: Float): Float
7.  def Validations: Seq[(PlanetSideGameObject) => Boolean]
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped